function [t e c] = Q3_gp_regression (X,y,ker,T,sigma);
% Gaussian Process Regression Learning
%
% Parameters: X     - training inputs (matrix, n x D)
%             y     - training targets (vector, n x 1)
%             ker   - kernel (function, D x D -> 1)
%             T     - test points (matrix, m x D)
%             sigma - noise level on the observations
%
% Returns:    t     - running time (in seconds)
%             e     - expected test points (vector, m x 1)
%             c     - test point covariances (vector, m x 1)

    % ... finish according to your taste ...

end

